--Step 1: Create a primary SQL Server Always On Availability Group on the primary cluster
CREATE AVAILABILITY GROUP [ag1]   
FOR DATABASE [MyNewDB]   
REPLICA ON N'SQLNode1\INST1' WITH (ENDPOINT_URL = N'TCP://SQLNode1.mydemosql.com:5022',  
    FAILOVER_MODE = AUTOMATIC,  
    AVAILABILITY_MODE = SYNCHRONOUS_COMMIT,   
    BACKUP_PRIORITY = 50,   
    SECONDARY_ROLE(ALLOW_CONNECTIONS = NO),   
    SEEDING_MODE = AUTOMATIC),   
N'SQLNode2\INST1' WITH (ENDPOINT_URL = N'TCP://SQLNode2.mydemosql.com:5022',   
    FAILOVER_MODE = AUTOMATIC,   
    AVAILABILITY_MODE = SYNCHRONOUS_COMMIT,   
    BACKUP_PRIORITY = 50,   
    SECONDARY_ROLE(ALLOW_CONNECTIONS = NO),   
    SEEDING_MODE = AUTOMATIC);   
GO  
  
--Step 2: Join the secondary replicas to the primary availability group on the primary cluster

ALTER AVAILABILITY GROUP [ag1] JOIN   
ALTER AVAILABILITY GROUP [ag1] GRANT CREATE ANY DATABASE  
GO 

--Step 3: Create a SQL Listener for the [AG1] SQL Server Always On Availability Group

USE [master]
GO
ALTER AVAILABILITY GROUP [ag1]
ADD LISTENER N'ag1-listener' (
WITH IP
((N'10.0.2.91', N'255.255.255.0')
)
, PORT=4567);
GO


--Step 7: Create a distributed SQL Server Always On Availability Group on the global primary replica

CREATE AVAILABILITY GROUP [distributedag]  
   WITH (DISTRIBUTED)   
   AVAILABILITY GROUP ON  
      'ag1' WITH    
      (   
         LISTENER_URL = 'tcp://ag1-listener.mydemosql.com:5022',    
         AVAILABILITY_MODE = ASYNCHRONOUS_COMMIT,   
         FAILOVER_MODE = MANUAL,   
         SEEDING_MODE = AUTOMATIC   
      ),   
      'ag2' WITH    
      (   
         LISTENER_URL = 'tcp://ag2-listener.mydemosql.com:5022',   
         AVAILABILITY_MODE = ASYNCHRONOUS_COMMIT,   
         FAILOVER_MODE = MANUAL,   
         SEEDING_MODE = AUTOMATIC   
      );    
GO   


