--Step 4: Create a secondary availability group on the second cluster
CREATE AVAILABILITY GROUP [ag2]   
FOR   
REPLICA ON N'SQLAG1\INST1' WITH (ENDPOINT_URL = N'TCP://SQLAG1.mydemosql.com:5022',   
    FAILOVER_MODE = MANUAL,   
    AVAILABILITY_MODE = SYNCHRONOUS_COMMIT,   
    BACKUP_PRIORITY = 50,   
    SECONDARY_ROLE(ALLOW_CONNECTIONS = NO),   
    SEEDING_MODE = AUTOMATIC),   
N'SQLAG2\INST2' WITH (ENDPOINT_URL = N'TCP://SQLAG2.mydemosql.com:5022',   
    FAILOVER_MODE = MANUAL,   
    AVAILABILITY_MODE = SYNCHRONOUS_COMMIT,   
    BACKUP_PRIORITY = 50,   
    SECONDARY_ROLE(ALLOW_CONNECTIONS = NO),   
    SEEDING_MODE = AUTOMATIC);   
GO  

--Step 5: Join the secondary replica to the secondary SQL Server Always On Availability group on the secondary cluster

ALTER AVAILABILITY GROUP [ag2] JOIN   
ALTER AVAILABILITY GROUP [ag2] GRANT CREATE ANY DATABASE  
GO 

--Step 6: Create a listener for the secondary availability group

USE [master]
GO
ALTER AVAILABILITY GROUP [ag2]
ADD LISTENER N'ag2-listener' (
WITH IP
((N'10.0.2.92', N'255.255.255.0')
)
, PORT=4568);
GO

--Step 8: Join the distributed availability group on the primary replica of the secondary cluster 


ALTER AVAILABILITY GROUP [distributedag]   
   JOIN   
   AVAILABILITY GROUP ON  
      'ag1' WITH    
      (   
         LISTENER_URL = 'tcp://ag1-listener.mydemosql.com:5022',    
         AVAILABILITY_MODE = ASYNCHRONOUS_COMMIT,   
         FAILOVER_MODE = MANUAL,   
         SEEDING_MODE = AUTOMATIC   
      ),   
      'ag2' WITH    
      (   
         LISTENER_URL = 'tcp://ag2-listener.mydemosql.com:5022',   
         AVAILABILITY_MODE = ASYNCHRONOUS_COMMIT,   
         FAILOVER_MODE = MANUAL,   
         SEEDING_MODE = AUTOMATIC   
      );    
GO  


